package bricklesPackage;

import static org.junit.Assert.*;
//import org.junit.*;
import java.io.*;

import org.junit.After;
import org.junit.Before;
import org.junit.Test;

public class PuckSupplyTest{
	BricklesView bv;
	BricklesGame ag;
	PlayingField pf;
	
	@Before
	public void setUp() throws Exception {
		System.out.println("In test setup");
		bv = new BricklesView();
		ag = new BricklesGame(bv);
		pf = new PlayingField(ag);
		
	}

	@After
	public void tearDown() throws Exception {
	}

	@Test
	public void testPuckSupply() {
		PuckSupply ps = new PuckSupply(pf);
		System.out.println("In test Puck supply");
		assertTrue(ps!=null);
	}

	@Test
	public void testNumberLeft() {
		PuckSupply ps = new PuckSupply(pf);
		System.out.println("In test number left");
		assertTrue(ps.numberLeft()==3);
	}

	//@Test
	///public void testGetPuck() throws OutOfPucksException {
		//PuckSupply ps = new PuckSupply(pf);
		///System.out.println("In test get Puck");
		//assertTrue(ps.getPuck()!=null);
	//}

}
